Bug 219132 - Gives no diagnostic when print job submission fails
Gives no diagnostic when print job submission fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 07:34 EST by Tim Waugh
Modified: 2009-06-10 04:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 04:29:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-12-11 07:34:59 EST
Description of problem:
When a printer is marked as rejecting jobs with the CUPS 'reject' command, the
GTK+ print dialog will not display that queue any differently -- it will appear
as though it is fine to print to it.

Even worse, when the job is actually submitted there is no error given to the
user, so they think their job is submitted but it isn't.  Even with
'PreserveJobFiles On' in /etc/cups/cupsd.conf, the job will be lost forever.

Version-Release number of selected component (if applicable):
gtk2-2.10.4-6.fc6

How reproducible:
100%

Steps to Reproduce:
Start with a queue named 'stylus'
1.reject stylus
2.Start evince and load a PDF document
3.Ctrl-P, and select printer 'stylus'
4.Click Print
  
Actual results:
Job appears to get submitted, but is in fact lost forever.

Expected results:
Error message, or else it isn't possible for the user to attempt to submit jobs
to a printer not accepting requests.

Additional information:
OpenOffice.org Writer for example at least says that the print failed.
Comment 1 Tim Waugh 2006-12-11 07:37:41 EST
evince-0.6.0-3.fc6
Comment 2 Bug Zapper 2008-04-04 01:10:52 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Tim Waugh 2008-04-04 05:56:01 EDT
Re-tested with:

gtk2-2.12.5-1.fc8
evince-2.20.2-1.fc8

The problem is still there.
Comment 4 Tim Waugh 2008-05-14 05:33:54 EDT
In bug #446354 is another case where the print job submission failed but the
user was not told.  This is a serious issue -- a user might well print an
electronic ticket of some sort and assume that the job is waiting to print as
there was no error message, then close evince and Firefox and so lose their ticket.
Comment 5 Bug Zapper 2008-11-26 02:07:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tim Waugh 2008-11-26 05:59:38 EST
Still happens in Fedora 9.
Comment 7 Bug Zapper 2009-06-09 18:22:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Tim Waugh 2009-06-10 04:29:42 EDT
Fedora 11 fixed this in GTK+.

Note You need to log in before you can comment on or make changes to this bug.